Skip to main content
GET
/
surveys
/
{id}
/
agent
/
threads
/
{threadId}
/
messages
List agent thread messages
curl --request GET \
  --url https://api.questra.ai/surveys/{id}/agent/threads/{threadId}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "messages": [
    {
      "id": "<string>",
      "role": "<string>",
      "parts": [
        {}
      ],
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.questra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Unique ID or slug of the survey

threadId
string
required

Unique ID of the agent thread

Query Parameters

page
integer
default:0
perPage
integer
default:20

Response

200 - application/json

Agent thread messages.

messages
object[]
required
total
integer
required